comment Programmed by H Knapp
comment Revision 1.
comment Data file: Chapter 10 - Exercise 04 - Syntax.sav.
comment This program runs a 3 group ANOVA to determine which, if any, form of instructions leads to the fastest assembly: (1) Text, (2) Text with pictures, or (3) Vodeo.

comment This section runs the Pretest Checklist for each of the 3 groups, showing descriptive statistics and a histogram with normal curve for the time in each group.

comment Select group 1.

USE ALL.
COMPUTE filter_$=(group = 1).
VARIABLE LABEL filter_$ 'group = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

comment Run descriptive statistics for group 1 (Text); include histogram with normal curve.

FREQUENCIES VARIABLES=time
  /FORMAT=NOTABLE
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

comment Select group 2.

USE ALL.
COMPUTE filter_$=(group = 2).
VARIABLE LABEL filter_$ 'group = 2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

comment Run descriptive statistics for group 2 (Text with pictures); include histogram with normal curve.

FREQUENCIES VARIABLES=time
  /FORMAT=NOTABLE
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

comment Select group 3.

USE ALL.
COMPUTE filter_$=(group = 3).
VARIABLE LABEL filter_$ 'group = 3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

comment Run descriptive statistics for group 3 (Video); include histogram with normal curve.

FREQUENCIES VARIABLES=time
  /FORMAT=NOTABLE
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

comment Now that all of the individual group (pretest) analyses are done, select all of the groups, and proceed with the ANOVA.

FILTER OFF.
USE ALL.
EXECUTE.

comment Run the ANOVA test with descriptive statistics with the Tukey post hoc test, and the homogeneity of variance test.

ONEWAY time BY group
  /STATISTICS DESCRIPTIVES HOMOGENEITY 
  /MISSING ANALYSIS
  /POSTHOC=TUKEY ALPHA(0.05).

comment The end.